Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class BusinessPolicyHome

    java.lang.Object
      com.beasys.commerce.foundation.BusinessPolicyHome

All Implemented Interfaces
  SmartHome

Deprecated

    @Deprecated
    public class BusinessPolicyHome

extends Object
implements SmartHome

This is a BusinessPolicy home/bean factory. This implementation caches classes for increased performance using the design pattern that reduces contention and synchronization overhead.

See Also
  `CommercePropertiesHelper`

Field Summary
`static String` | `CUSTOM_HOME_NAME` Deprecated
`static String` | `DEFAULT_BUSINESS_POLICY_IMPL_SUFFIX` Deprecated
`static String` | `DEFAULT_POLICY_BEAN_CLASS_NAME` Deprecated

Constructor Summary
`BusinessPolicyHome()` Deprecated

Method Summary
`static BusinessPolicy` | `create(String businessPolicyInterfaceClassName)` Deprecated Given a bean interface, use the factory pattern to create an instance.
`static SmartHome` | `getCustomHome(String businessPolicyInterfaceClassName)` Deprecated Given a bean interface, use the factory pattern to get its custom home.
`static void` | `init()` Deprecated The init method must be called before any BusinessPolicies are created.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUSTOM_HOME_NAME

    public static final String CUSTOM_HOME_NAME

  Deprecated
  See Also
    Constants Summary

### DEFAULT_POLICY_BEAN_CLASS_NAME

    public static final String DEFAULT_POLICY_BEAN_CLASS_NAME

  Deprecated
  See Also
    Constants Summary

### DEFAULT_BUSINESS_POLICY_IMPL_SUFFIX

    public static final String DEFAULT_BUSINESS_POLICY_IMPL_SUFFIX

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### BusinessPolicyHome

    public BusinessPolicyHome()

  Deprecated

Method Detail

### init

    public static void init()

  Deprecated
  The init method must be called before any BusinessPolicies are created. This is required for supporting pluggable BelongingHomes specified in the commerce.properties file.

### getCustomHome

    public static SmartHome getCustomHome(String businessPolicyInterfaceClassName)

  Deprecated
  Given a bean interface, use the factory pattern to get its custom home. If a bean's custom home is not defined in the weblogiccommerce.properties file, then this method returns null. This is an example of specifying a custom home name in the properties file.

       com.beasys.commerce.ebusiness.item.ItemPriceCalculationPolicy.CustomHomeName = com.acme.util.ExpertPricerHome
       com.beasys.commerce.ebusiness.item.ItemPriceCalculationPolicy.DefaultPolicyClassName = com.acme.util.ExpertPricer

### create

    public static BusinessPolicy create(String businessPolicyInterfaceClassName)

  Deprecated
  Given a bean interface, use the factory pattern to create an instance. The bean instance can be obtained from the weblogiccommerce.properties file. If it is not there, then we will use the default Impl where is the name of the bean interface. This is an example of specifying a different Impl class in the properties file.

       com.beasys.commerce.ebusiness.item.ItemPriceCalculationPolicy.CustomHomeName = com.acme.util.ExpertPricerHome
       com.beasys.commerce.ebusiness.item.ItemPriceCalculationPolicy.DefaultPolicyClassName = com.acme.util.ExpertPricer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.